Tiga skema
Setiap skema adalah potongan teks pendek yang diketahui ponsel cara menyerahkannya ke aplikasi yang tepat. mailto: membuka aplikasi email, tel: membuka dialer, dan sms: membuka aplikasi pesan, dengan penerima dan kadang pesan yang sudah terisi.
Nomor telepon paling baik dalam format internasional dengan tanda plus dan kode negara, seperti +15035550123, agar kode berfungsi untuk pengunjung dari negara lain.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (konvensi lama, masih banyak dibaca)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (konvensi email lama)
Meng-encode teks pesan
Subjek dan isi pesan dalam link mailto dan sms harus di-percent-encode, jadi spasi menjadi %20 dan tanda dan di dalam teks menjadi %26. Karakter yang tidak di-encode bisa memotong pesan atau merusak link.
Platform tidak selalu mengurai parameter body sms dengan cara yang sama, yang menjadi salah satu alasan bentuk SMSTO: yang lebih lama masih umum di generator QR. Menguji di iPhone dan Android sebelum mencetak adalah pengecekan yang andal.
Yang tidak bisa dilakukan kode ini
QR code tidak bisa mengirim email, mengirim pesan teks, atau melakukan panggilan sendiri. Ia hanya membuka aplikasi dengan kolom yang sudah terisi, dan orang yang men-scan yang memutuskan menekan kirim atau panggil.
Karena penerima terlihat sebelum dikirim, orang sebaiknya memeriksa apakah sesuai dengan yang diharapkan. Kode yang mengisi pesan ke nomor tarif premium atau alamat yang tidak dikenal adalah tanda bahaya.